#include "..\Shared\SPMission.h"

class strattestMission : public SPMission 
{
public:
	strattestMission(void)
	{
		b_count = &b_last - &b_first - 1;
		b_array = &b_first + 1;

		f_count = &f_last - &f_first - 1;
		f_array = &f_first + 1;

		h_count = &h_last - &h_first - 1;
		h_array = &h_first + 1;

		i_count = &i_last - &i_first - 1;
		i_array = &i_first + 1;
	}

	void Setup(void);
	void AddObject(Handle h);
	void Execute(void);

	// bools
	bool
		b_first,
		missionstart,

		b_last;

	// floats
	float
		f_first,

		f_last;


	// handles
	Handle
		h_first,

		h_last;

	// integers
	int
		i_first,

		i_last;
};
DLLBase * BuildMission(void)
{
	return new strattestMission();
}

void strattestMission::Setup(void)
{
/*
	Here's where you set the values at the start.  
*/

//  bools
	missionstart = false;
	
//  floats
//  handles

	//  integers

	Ally(1, 2);
	Ally(1, 3);
}


void strattestMission::AddObject(Handle h)
{


}

void strattestMission::Execute(void)
{
	if (!missionstart)
	{
		BuildObject("ivrecy",2,"recycler2");
		SetScrap(2,40);  // team 2, scrap=40
		SetPlan("strat02.aip",2);  // team 2 
		
		
		BuildObject("fvrecy",3,"recycler3");  
		SetScrap(3,40);   // team 3, scrap 40
		SetPlan("strat03.aip",3);  // team 3

		missionstart = true;
	}

}
